def my_sum(*args):
    return sum(args)

def is_pal(s):
    return s == s[::-1]

def my_map(ss, fx):
    return [fx(s) for s in ss]

import string
import secrets

def pwd(pwlen, nspecial):
    chs = []
    for i in range(nspecial):
        chs.append(secrets.choice(string.punctuation))
    for i in range(pwlen - nspecial):
        chs.append(secrets.choice(string.ascii_letters + string.digits))
    pchs = []
    while chs:
        r = secrets.randbelow(len(chs))
        pchs.append(chs[r])
        chs.pop(r)
    return ''.join(pchs)

def fibo_gen(n):
    a = 1
    b = 0
    for _ in range(n):
        yield b
        a, b = a + b, a

def fibonacci():
    a = 1
    b = 0
    while True:
        yield b
        a, b = a + b, a

import itertools

def fib(n):
    return next(itertools.islice(fibonacci(), n, n + 1))

def fibo_gen_using_fibonacci(n):
    return itertools.islice(fibonacci(), n)

def my_range(*args):
    if len(args) == 0 or len(args) > 3:
        raise ValueError(f"my_range expects 1..3 arguments, {len(args)} given")
    alist = list(args)
    start = 0
    limit = alist.pop(0)
    if alist:
        start = limit
        limit = alist.pop(0)
    step = 1
    if alist:
        step = alist.pop(0)
    if step == 0:
        raise ValueError("Step cannot be 0")
    assert not alist
    sgn = 1
    if step < 0:
        sgn = -1
    n = start
    while not limit or sgn * n < sgn * limit:
        yield n
        n += step
